We use github's servers to track updates for our launcher and we believe that they quietly updated their system to stop allowing older encryption protocols. This means that our app could no longer connect to github. Although we have fixed this in a new launcher update, it is impossible to automatically distribute that update to all players. Therefore, it is necessary to install the latest PoD Launcher yourself. Simply download the file linked below and go through the installer like you did last time: https://github.com/GreenDude120/PoD-Launcher/releases/download/install/pathofdiablolauncher.msi

Discussion on r/pathofdiablo

Posted by GreenDude, 1 months 19 days ago